| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::CvHaarFeatureParams Class Reference
Tracking API

`#include "feature.hpp"`

Inheritance diagram for cv::CvHaarFeatureParams:

## Public Member Functions
| CvHaarFeatureParams ()
virtual void | init (const CvFeatureParams &fp) CV_OVERRIDE
virtual void | printAttrs () const CV_OVERRIDE
virtual void | printDefaults () const CV_OVERRIDE
virtual bool | read (const FileNode &node) CV_OVERRIDE
virtual bool | scanAttr (const std::string prm, const std::string val) CV_OVERRIDE
virtual void | write (FileStorage &fs) const CV_OVERRIDE
Public Member Functions inherited from cv::CvFeatureParams
| CvFeatureParams ()
Public Member Functions inherited from cv::CvParams
| CvParams ()
virtual | ~CvParams ()

## Public Attributes
bool | isIntegral
Public Attributes inherited from cv::CvFeatureParams
int | featSize
int | maxCatCount
int | numFeatures
Public Attributes inherited from cv::CvParams
std::string | name

## Additional Inherited Members
Public Types inherited from cv::CvFeatureParams
enum | { HAAR = 0, LBP = 1, HOG = 2 }
Static Public Member Functions inherited from cv::CvFeatureParams
static Ptr< CvFeatureParams > | create (int featureType)

## Constructor & Destructor Documentation

## § CvHaarFeatureParams()

cv::CvHaarFeatureParams::CvHaarFeatureParams | ( |  | ) |

## Member Function Documentation

## § init()

virtual void cv::CvHaarFeatureParams::init | ( | const CvFeatureParams & | fp | ) |
| virtual

Reimplemented from cv::CvFeatureParams.

## § printAttrs()

virtual void cv::CvHaarFeatureParams::printAttrs | ( |  | ) | const
| virtual

Reimplemented from cv::CvParams.

## § printDefaults()

virtual void cv::CvHaarFeatureParams::printDefaults | ( |  | ) | const
| virtual

Reimplemented from cv::CvParams.

## § read()

virtual bool cv::CvHaarFeatureParams::read | ( | const FileNode & | node | ) |
| virtual

Reimplemented from cv::CvFeatureParams.

## § scanAttr()

virtual bool cv::CvHaarFeatureParams::scanAttr | ( | const std::string | prm,
|  | const std::string | val
| ) |  |
| virtual

Reimplemented from cv::CvParams.

## § write()

virtual void cv::CvHaarFeatureParams::write | ( | FileStorage & | fs | ) | const
| virtual

Reimplemented from cv::CvFeatureParams.

## Member Data Documentation

## § isIntegral

bool cv::CvHaarFeatureParams::isIntegral

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/feature.hpp